Bug 1472438 - [3.5][Registry][Pruning] Orphaned blobs cannot be pruned
[3.5][Registry][Pruning] Orphaned blobs cannot be pruned
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.5.z
Assigned To: Michal Minar
ge liu
: Reopened
: 1499315 (view as bug list)
Depends On: 1408676 1467340 1479340 1499314 1499315
Blocks: 1471844
  Show dependency treegraph
Reported: 2017-07-18 13:49 EDT by Michal Minar
Modified: 2017-10-18 07:19 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: There was no way to prune orphaned blobs on integrated registry's storage. Consequence: The orphaned blobs could pile up and consume a considerable amount of free space. Fix: We provide a new low-level utility that is run inside of registry's container and removes the orphaned blobs. Result: Customers are now able to remove orphaned blobs retrieve storage space.
Story Points: ---
Clone Of: 1467340
Last Closed: 2017-08-31 13:00:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Michal Minar 2017-07-18 13:51:04 EDT
Back-port PR: https://github.com/openshift/ose/pull/804
Comment 2 Michal Fojtik 2017-07-20 07:25:31 EDT
PR merged, waiting for new puddle.
Comment 4 ge liu 2017-07-25 01:45:54 EDT
Verified the bug with original reproduce steps on ocp version:, and regarding to extra test steps which miminar suggested in card: https://trello.com/c/He2j63p0/957-5-registry-hard-prune-procedure#comment-595b562d4ffaa643a78c0a6e 
the testing blocked because the file: 'dockerregistry' don't exist in this ocp version, @miminar, is that work as design? and could we close this bug now?

openshift v3.
kubernetes v1.5.2+43a9be4
etcd 3.1.0
Comment 6 ge liu 2017-07-25 22:45:31 EDT
hello @miminar, thanks for quick response for this issue, this bug should be fixed in errata as my understanding based on Comment 3 above, so assign it back to you, pls feel free to take action for it, thanks.
Comment 11 ge liu 2017-08-01 22:22:00 EDT
The build have not ready for testing, so change status to modify.
Comment 16 zhou ying 2017-08-18 01:49:28 EDT
Confirmed with latest 3.5 version, the issue has fixed:
openshift version
openshift v3.
kubernetes v1.5.2+43a9be4
etcd 3.1.0

[root@openshift-132 ~]# oc -n default exec -i -t docker-registry-2-nfcgt  -- /usr/bin/dockerregistry -prune=delete
Deleted 10 blobs
Freed up 151.3 MiB of disk space
Comment 18 errata-xmlrpc 2017-08-31 13:00:23 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

Comment 19 Michal Minar 2017-10-09 03:42:50 EDT
*** Bug 1499315 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.